Index: trunk/phpgwapi/inc/class.common.inc.php
===================================================================
--- trunk/phpgwapi/inc/class.common.inc.php	(revision 2934)
+++ trunk/phpgwapi/inc/class.common.inc.php	(revision 2991)
@@ -402,5 +402,5 @@
 						. 'keys = ['.$rsa->get_publKey().','.$rsa->get_mod().'];'
 						. '</script>'
-						. '<script src="' . $GLOBALS[ 'phpgw' ] ->  link( '/phpgwapi/js/ckeditor/ckeditor.js' ) . '"></script>';
+						. '<script type="text/javascript" src="' . $GLOBALS[ 'phpgw' ] ->  link( '/phpgwapi/js/ckeditor/ckeditor.js' ) . '"></script>';
 
 					$GLOBALS[ 'phpgw' ] -> js -> validate_file( 'wz_dragdrop', 'wz_dragdrop', NULL, true );
Index: trunk/phpgwapi/templates/default/css/base.css
===================================================================
--- trunk/phpgwapi/templates/default/css/base.css	(revision 2989)
+++ trunk/phpgwapi/templates/default/css/base.css	(revision 2991)
@@ -216,4 +216,6 @@
 	width: 99.5%;
 	-moz-border-radius: 0px 0px 6px 6px;
+	-webkit-border-radius: 0px 0px 6px 6px;
+	border-radius: 0px 0px 6px 6px;
 }
 
@@ -257,4 +259,6 @@
 	border-bottom: 1px solid;
 	-moz-border-radius: 0px 0px 0px 0px;
+	-webkit-border-radius:0px 0px 0px 0px;
+	border-radius:0px 0px 0px 0px;
 }
 
@@ -276,4 +280,6 @@
 	text-decoration: none;
 	-moz-border-radius: 9px 9px 0px 0px;
+	-webkit-border-radius:9px 9px 0px 0px;
+	border-radius:9px 9px 0px 0px;
 	-moz-user-select: none;
 }
Index: trunk/phpgwapi/templates/default/css/azul.css
===================================================================
--- trunk/phpgwapi/templates/default/css/azul.css	(revision 2918)
+++ trunk/phpgwapi/templates/default/css/azul.css	(revision 2991)
@@ -98,5 +98,5 @@
 }
 
-#links_bar,
+.links_bar,
 #user_info
 {
Index: trunk/phpgwapi/templates/default/head.tpl
===================================================================
--- trunk/phpgwapi/templates/default/head.tpl	(revision 2623)
+++ trunk/phpgwapi/templates/default/head.tpl	(revision 2991)
@@ -1,3 +1,4 @@
 <!-- BEGIN head -->
+<!-- DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd"-->
 <html xml:lang="{lang_code}" xmlns="http://www.w3.org/1999/xhtml">
 	<head>
@@ -10,5 +11,5 @@
 		<meta name="author" content="ExpressoLivre http://www.expressolivre.org" />
 		<meta name="robots" content="none" />
-		<meta http-equiv="Default-Style" content="eGroupWareStyle">
+		<meta http-equiv="Default-Style" content="eGroupWareStyle" />
 		<link rel="icon" href="{img_icon}" type="image/x-ico" />
 		<link rel="shortcut icon" href="{img_shortcut}" />
Index: trunk/phpgwapi/templates/default/navbar.inc.php
===================================================================
--- trunk/phpgwapi/templates/default/navbar.inc.php	(revision 2623)
+++ trunk/phpgwapi/templates/default/navbar.inc.php	(revision 2991)
@@ -44,7 +44,7 @@
 
 	if ( $GLOBALS[ 'phpgw_info' ][ 'user' ][ 'preferences' ][ 'common' ][ 'click_or_onmouseover' ] == 'onmouseover' )
-		$show_menu_event = 'onMouseOver';
+		$show_menu_event = 'onmouseover';
 	else
-		$show_menu_event = 'onClick';
+		$show_menu_event = 'onclick';
 
 	$applications = '';
@@ -82,5 +82,5 @@
 
 			$icon .= "{$indent}\t\t\t\t" . '<img id="'.str_replace('_','',$app).'id" src="' . $app_data['icon'] . '" alt="' . $title . '" title="'. $title
-				. '" border="0" width="' . ( $current_app ? 35 : 24 ) . '" height="' . ( $current_app ? 35 : 24 ) . '" nowrap="nowrap"/>'
+				. '" border="0" width="' . ( $current_app ? 35 : 24 ) . '" height="' . ( $current_app ? 35 : 24 ) . '"/>'
 				. "{$indent}\t\t\t</a>";
 
@@ -105,5 +105,5 @@
 					$tdwidth = 100 / ( $max_icons + 2 );
 
-				$app_icons .= "{$indent}\t\t" . '<td nowrap class="navbar_but' . ( $current_app ? 'Out' : '' ) . '">';
+				$app_icons .= "{$indent}\t\t" . '<td nowrap="nowrap" class="navbar_but' . ( $current_app ? 'Out' : '' ) . '">';
 
 				if ( isset( $GLOBALS['phpgw_info']['flags']['navbar_target'] ) && $GLOBALS['phpgw_info']['flags']['navbar_target'] )
@@ -115,5 +115,5 @@
 
 
-			$icon = "{$indent}\t\t\t" . '<img align="center" src="' . $app_data['icon'] . '" alt="' . $title . '" width="16" title="'. $title . '" border="0" />';
+			$icon = "{$indent}\t\t\t" . '<img align="middle" src="' . $app_data['icon'] . '" alt="' . $title . '" width="16" title="'. $title . '" border="0" />';
 
 			$app_extra_icons .= "{$indent}<tr>";
@@ -147,5 +147,5 @@
 	}
 
-	$GLOBALS[ 'phpgw_info' ][ 'flags' ][ 'java_script' ] .= "\n\t\t<script>\n\t\t\t"
+	$GLOBALS[ 'phpgw_info' ][ 'flags' ][ 'java_script' ] .= "\n\t\t<script type=\"text/javascript\">\n\t\t\t"
 		. 'var curr_app = "' . ( ( $curr_app ) ? str_replace( '_','',$curr_app ) . 'id' : '' ) . '";' . "\n\t\t"
 		. '</script>';
@@ -157,5 +157,5 @@
 		$icon = '<img id="logout_id" width="24" height="24" src="'
 			. $GLOBALS[ 'phpgw_info' ][ 'navbar' ][ 'logout' ][ 'icon' ]
-			. '" alt="' . $hint . '" title="' . $hint . '">';
+			. '" alt="' . $hint . '" title="' . $hint . '"/>';
 
 		if ( $GLOBALS[ 'phpgw_info' ][ 'user' ][ 'preferences' ][ 'common' ][ 'navbar_format' ] == 'icons' )
@@ -164,6 +164,6 @@
 			$icon = '';
 
-		$app_icons .= '<td nowrap class="navbar_but"><a onclick="location.href=\''
-			. $GLOBALS[ 'phpgw_info' ][ 'navbar' ][ 'logout' ][ 'url' ] . '\'">' . $icon . '</td>';
+		$app_icons .= '<td nowrap="nowrap" class="navbar_but"><a onclick="location.href=\''
+			. $GLOBALS[ 'phpgw_info' ][ 'navbar' ][ 'logout' ][ 'url' ] . '\'">' . $icon . '</a></td>';
 	}
 
@@ -171,5 +171,5 @@
 
 	$hint = $GLOBALS['phpgw_info']['navbar']['logout']['title'];
-	$icon = "{$indent}\t\t\t" . '<img src="'.$GLOBALS['phpgw_info']['navbar']['logout']['icon'].'"  alt="'.$hint.'" title="'.$hint.'">';
+	$icon = "{$indent}\t\t\t" . '<img src="'.$GLOBALS['phpgw_info']['navbar']['logout']['icon'].'"  alt="'.$hint.'" title="'.$hint.'"/>';
 	$title = $GLOBALS['phpgw_info']['navbar']['logout']['title'];
 
@@ -181,5 +181,5 @@
 		. "{$indent}\t</td>{$indent}</tr>";
 
-	$app_extra_icons_div = '<script language="javascript">' . "\n\t\t"
+	$app_extra_icons_div = '<script type="text/javascript">' . "\n\t\t"
 		. '	new ypSlideOutMenu( "menu1", "down", 5, 24, 160, 200, "left" );' . "\n\t\t"
 		. '</script>' . "\n\t\t"
@@ -191,5 +191,5 @@
 		. '					<td colspan="2" nowrap="nowrap" align="right" style="background-color:#dddddd;padding:1px;">' . "\n\t\t"
 		. '						<a ' . $show_menu_event . '="ypSlideOutMenu.hide(\'menu1\')" title="' . lang('close') . '">' . "\n\t\t"
-		. '							<img style="" border="0" src="' . $var[ 'img_root' ] . '/close.png"/>' . "\n\t\t"
+		. '							<img style="" alt="close" border="0" src="' . $var[ 'img_root' ] . '/close.png"/>' . "\n\t\t"
 		. '						</a>' . "\n\t\t"
 		. '					</td>' . "\n\t\t"
@@ -198,5 +198,5 @@
 		. '					<td colspan="1" valign="top" nowrap="nowrap" align="left" style="background-color:#dddddd;padding:1px;">' . "\n\t\t"
 		. '						<a href="javascript:ypSlideOutMenu.hide(\'menu1\');showBar()" title="'.lang('Expand Menu').'">' . "\n\t\t"
-		. '							<img src = "' . $var[ 'img_root' ] . '/down.button.png"></a>' . "\n\t\t"
+		. '							<img src="' . $var[ 'img_root' ] . '/down.button.png" alt="down"/></a>' . "\n\t\t"
 		. '					</td>' . "\n\t\t"
 		. '					<td colspan="1" valign="top" nowrap="nowrap" align="left" style="background-color:#dddddd;padding:1px;">' . "\n\t\t"
@@ -214,5 +214,5 @@
 	$var['app_extra_icons_icon'] = '<td width="26" valign="top" align="right" style="zIndex:10000;padding-right:3px;padding-top:10px;">'
 		. $indent . '<a title="' . lang( 'show_more_apps' ) . '" ' . $show_menu_event . '="ypSlideOutMenu.showMenu(\'menu1\')">'
-		. "{$indent}\t" . '<img src="' . $var[ 'img_root' ] . '/extra_icons.png" border="0" />'
+		. "{$indent}\t" . '<img src="' . $var[ 'img_root' ] . '/extra_icons.png" alt="'. lang( 'show_more_apps' ) .'" border="0" />'
 		. "{$indent}</a>\n\t\t\t\t\t"
 		. '</td>';
@@ -255,5 +255,5 @@
 					$agreeterm_url = 'http://' . $agreeterm_url;
 
-				echo '<script>' .
+				echo '<script type="text/javascript">' .
 					'if(location.href.indexOf("termo_aceite.php") == -1){' .
 					'location.href = "' . $agreeterm_url . '"' .
@@ -272,5 +272,5 @@
 					$changepasswd_url = 'http://' . $changepasswd_url;
 
-				echo '<script>' .
+				echo '<script type="text/javascript">' .
 					'if(location.href.indexOf("changepassword.php") == -1){' .
 					'location.href = "' . $changepasswd_url . '"' .
Index: trunk/phpgwapi/templates/default/navbar.tpl
===================================================================
--- trunk/phpgwapi/templates/default/navbar.tpl	(revision 2918)
+++ trunk/phpgwapi/templates/default/navbar.tpl	(revision 2991)
@@ -13,20 +13,20 @@
 				<table width="100%" border="0" cellspacing="0" cellpadding="0">
 					<tr>
-						<td width="30%" align="left" id="user_info" nowrap>{user_info}{frontend_name}</td>
-						<td width="30%" id="admin_info" nowrap>{current_users}</td>
-						<td style="padding-right:10px" width="*" align="right" valign="center" nowrap="true">
-							<a href="{dir_root}/preferences/" title="{title_my_preferences}" alt="{title_my_preferences}" cacheit="true" onmouseover="javascript:self.status='{title_my_preferences}'" onmouseout="javascript:self.status=''">
-								<img height="15px" src="{dir_root}/phpgwapi/templates/{template}/images/preferences.png" />
-								<font id="links_bar">{my_preferences}</font>
+						<td width="30%" align="left" id="user_info" nowrap="nowrap">{user_info}{frontend_name}</td>
+						<td width="30%" id="admin_info" nowrap="nowrap">{current_users}</td>
+						<td style="padding-right:10px" width="*" align="right" valign="middle" nowrap="nowrap">
+							<a href="{dir_root}/preferences/" title="{title_my_preferences}" cacheit="true" onmouseover="javascript:self.status='{title_my_preferences}'" onmouseout="javascript:self.status=''">
+								<img  alt="{title_my_preferences}" style="height:15px" src="{dir_root}/phpgwapi/templates/{template}/images/preferences.png" />
+								<font class="links_bar">{my_preferences}</font>
 							</a>
 							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-							<a href="javascript:openWindow(400,550,'{dir_root}/help/enviasugestao.php')" title="{title_suggestions}" alt="{title_suggestions}" onmouseover="javascript:self.status='{title_suggestions}'" onmouseout="javascript:self.status=''">
-								<img src="{dir_root}/phpgwapi/templates/{template}/images/critic.png" />
-								<font id="links_bar">{suggestions}</font>
+							<a href="javascript:openWindow(400,550,'{dir_root}/help/enviasugestao.php')" title="{title_suggestions}" onmouseover="javascript:self.status='{title_suggestions}'" onmouseout="javascript:self.status=''">
+								<img  alt="{title_suggestions}" src="{dir_root}/phpgwapi/templates/{template}/images/critic.png" />
+								<font class="links_bar">{suggestions}</font>
 							</a>
 							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-							<a href="javascript:openWindow(480,510,'{dir_root}/help')" title="{title_help}" alt="{title_help}" onmouseover="javascript:self.status='{title_help}'" onmouseout="javascript:self.status=''">
-								<img src="{dir_root}/phpgwapi/templates/{template}/images/help.png" width="16px" />
-								<font id="links_bar">{help}</font>
+							<a href="javascript:openWindow(480,510,'{dir_root}/help')" title="{title_help}" onmouseover="javascript:self.status='{title_help}'" onmouseout="javascript:self.status=''">
+								<img alt="{title_help}" src="{dir_root}/phpgwapi/templates/{template}/images/help.png" width="16px" />
+								<font class="links_bar">{help}</font>
 							</a>
 						</td>
@@ -34,7 +34,7 @@
 				</table>
 			</div>
-			<table border="0" height="50px" width="100%" cellpadding=0 cellspacing=0>
+			<table border="0" style="height:50px" width="100%" cellpadding="0" cellspacing="0">
 				<tr>
-					<td class="logo_expresso">&nbsp;<br></td>
+					<td class="logo_expresso">&nbsp;<br/></td>
 					<td align="center">
 						<table id="app_icons" width="auto" border="0" cellpadding="0" cellspacing="0">
@@ -43,5 +43,5 @@
 						</table>
 					</td>
-					<td style="padding-left:0px;padding-right:25px" align="right" nowrap></td>
+					<td style="padding-left:0px;padding-right:25px" align="right" nowrap="nowrap"></td>
 				</tr>
 			</table>
@@ -57,10 +57,10 @@
 
 <!-- BEGIN sidebox_hide_header -->
-		<script language="javascript">
+		<script type="text/javascript">
 			new ypSlideOutMenu("menu2", "right", 0, 165, 160, 200)
 		</script>
 		<div id="sideboxdragarea" style="position:absolute;left:0px;top:175px">
 			<a href="javascript:" {show_menu_event}="ypSlideOutMenu.showMenu('menu2')" onmouseover="//ypSlideOutMenu.showMenu('menu2')" title="{lang_show_menu}">
-				<img src="{img_root}/dragarea_right.png" />
+				<img alt="dragarea" src="{img_root}/dragarea_right.png" />
 			</a>
 		</div>
@@ -77,6 +77,6 @@
 						</td>
 						<td style="padding-top:10px" valign="top">
-							<a href="javascript:" onClick="ypSlideOutMenu.hide('menu2')" >
-								<img src="{img_root}/dragarea_left.png" align="right" />
+							<a href="javascript:" onclick="ypSlideOutMenu.hide('menu2')" >
+								<img alt="dragarea" src="{img_root}/dragarea_left.png" align="right" />
 							</a>
 						</td>
@@ -85,5 +85,5 @@
 			</div>
 		</div>
-		<script language="Javascript">
+		<script type="text/javascript">
 			initBar(GetCookie("showHeader"));
 		</script>
@@ -106,5 +106,5 @@
 									<div class="divSideboxHeader"><span>{lang_title}</span></div>
 									<div>
-										<table width="100%" cellspacing="0" cellpadding="0" border=0>
+										<table width="100%" cellspacing="0" cellpadding="0" border="0">
 <!-- END extra_blocks_header -->
 
@@ -122,5 +122,5 @@
 <!-- BEGIN extra_block_spacer -->
 											<tr class="divSideboxEntry">
-												<td colspan="2" height="8" class="textSidebox">&nbsp;</td>
+												<td colspan="2" style="height:8" class="textSidebox">&nbsp;</td>
 											</tr>
 <!-- END extra_block_spacer -->
Index: trunk/login.php
===================================================================
--- trunk/login.php	(revision 2674)
+++ trunk/login.php	(revision 2991)
@@ -112,8 +112,8 @@
 		$tmpl->set_var('logo_config',$GLOBALS['phpgw_info']['server']['login_logo_file']);
 	else
-		$tmpl->set_var('logo_config','<a title="Governo do Paran&aacute" href="http://www.pr.gov.br" target="_blank"><img src="phpgwapi/templates/'.$GLOBALS['phpgw_info']['login_template_set'].'/images/logo_governo.gif" border="0"></a></td>
+		$tmpl->set_var('logo_config','<a title="Governo do Paran&aacute" href="http://www.pr.gov.br" target="_blank"><img src="phpgwapi/templates/'.$GLOBALS['phpgw_info']['login_template_set'].'/images/logo_governo.gif" alt="governo" border="0"></a></td>
 		<td><div align="center"><font color="#9a9a9a" face="Verdana, Arial, Helvetica, sans-serif" size="1">
 <a title="Celepar Inform&aacute;tica do Paran&aacute;" target="_blank" href="http://www.celepar.pr.gov.br/">
-<img src="phpgwapi/templates/'.$GLOBALS['phpgw_info']['login_template_set'].'/images/logo_celepar.gif" border="0"></a>');
+<img alt="celepar" src="phpgwapi/templates/'.$GLOBALS['phpgw_info']['login_template_set'].'/images/logo_celepar.gif" border="0"></a><br></font></div>');
 	// !! NOTE !!
 	// Do NOT and I repeat, do NOT touch ANYTHING to do with lang in this file.
Index: trunk/index.php
===================================================================
--- trunk/index.php	(revision 2802)
+++ trunk/index.php	(revision 2991)
@@ -29,7 +29,8 @@
 	/*
 		This is the menuaction driver for the multi-layered design
-	*/
+	 */
 	if(isset($_GET['menuaction']))
 	{
+
 		list($app,$class,$method) = explode('.',@$_GET['menuaction']);
 		if(! $app || ! $class || ! $method)
@@ -79,5 +80,5 @@
 			$target = "XEvents.add( window, 'onload', {$target} );";
 
-		echo "<script>{$target}</script>";
+		echo "<script type='text/javascript'>{$target}</script>";
 
 		exit;
@@ -137,5 +138,5 @@
 		}
 
-		echo '<script>ExpressoLivre.link( "' . $GLOBALS[ 'phpgw' ] -> link( '/home.php' ) . '", true );/* ??? */</script>';
+		echo '<script type="text/javascript">ExpressoLivre.link( "' . $GLOBALS[ 'phpgw' ] -> link( '/home.php' ) . '", true );/* ??? */</script>';
 		exit;
 	}