Index: trunk/jmessenger/xsl/contactsList.xsl
===================================================================
--- trunk/jmessenger/xsl/contactsList.xsl	(revision 2966)
+++ trunk/jmessenger/xsl/contactsList.xsl	(revision 3005)
@@ -11,5 +11,5 @@
 		
 		<fieldset style="margin:2px; border:1px dotted #000000; height: 103px;">
-			<div id="{$idUser}__photo" style="position: absolute; left: 5px; top: 5px; width:60px; height:80px; background-image:url('{$path_jabberit}/templates/default/images/photo.png');"/>
+			<div id="{$idUser}__photo" style="position: absolute; left: 5px; top: 5px; width:60px; height:80px; background-image:url('{$path_jabberit}templates/default/images/photo.png');"/>
 
 			<div style="position: absolute; left: 80px; top: 8px;"> <xsl:value-of select="$full_name"/> </div>
@@ -17,25 +17,25 @@
 			<div style="position: absolute; top: 25px; left: 80px;">
 				<button style="width:35px;" alt="Adicionar Contatos" title="Adicionar Contatos" onclick="loadscript.addContact();">
-					<img src="{$path_jabberit}/templates/default/images/users.png"/>
+					<img src="{$path_jabberit}templates/default/images/users.png"/>
 				</button>
 				
-				<img style="height:15px; margin-left:10px;cursor:pointer;" alt="Minhas Preferências" title="Minhas Preferências" src="{$path_jabberit}/templates/default/images/preferences.png" onclick="loadscript.preferences();"/>
+				<img style="height:15px; margin-left:10px;cursor:pointer;" alt="Minhas Preferências" title="Minhas Preferências" src="{$path_jabberit}templates/default/images/preferences.png" onclick="loadscript.preferences();"/>
 				
-				<img style="height:16px; margin-left:10px;cursor:pointer;" alt="Help" title="Help" src="{$path_jabberit}/templates/default/images/help.png" onclick="alert('2');" />
+				<img style="height:16px; margin-left:10px;cursor:pointer;" alt="Help" title="Help" src="{$path_jabberit}templates/default/images/help.png" onclick="alert('2');" />
 			
 			</div>
 			
 			<div id="notification_new_users_jabber" style="display:none; position:absolute; top: 25px; left: 165px;">
-				<img style="margin-left:15px;cursor:pointer;" alt="Novos Contatos" title="Novos Contatos" src="{$path_jabberit}/templates/default/images/alert_2.png" onclick="loadscript.windowNotificationNewUsers();" />
+				<img style="margin-left:15px;cursor:pointer;" alt="Novos Contatos" title="Novos Contatos" src="{$path_jabberit}templates/default/images/alert_2.png" onclick="loadscript.windowNotificationNewUsers();" />
 			</div>
 
 			<div style="position: absolute; left: 80px; top: 53px; cursor: pointer;" onclick="loadscript.setPresence(this);">
-				<div id="statusJabberImg" style="background: url('{$path_jabberit}/templates/default/images/available.gif'); margin-left: 13px;width:15px; height:15px;"></div>
+				<div id="statusJabberImg" style="background: url('{$path_jabberit}templates/default/images/available.gif'); margin-left: 13px;width:15px; height:15px;"></div>
 				<div id="statusJabberText" style="margin-top: -13px; margin-left: 30px;"> Disponível </div>
-				<div style="background-image: url('{$path_jabberit}/templates/default/images/arrow_down.gif'); margin-top: -13px; margin-left: 0px; width:15px; height:15px;"/>
+				<div style="background-image: url('{$path_jabberit}templates/default/images/arrow_down.gif'); margin-top: -13px; margin-left: 0px; width:15px; height:15px;"/>
 			</div>
 			
 			<div id="JabberIMRosterLoadingGif" style="position:absolute; left:136px; top:118px; display:block;">
-					<img src='{$path_jabberit}/templates/default/images/loading.gif' style="width:20px; height:20px;"/>
+					<img src='{$path_jabberit}templates/default/images/loading.gif' style="width:20px; height:20px;"/>
 					<span style="color:red;"> Carregando...!!</span>
 			</div>
Index: trunk/jmessenger/js/jscode/loadIM.js
===================================================================
--- trunk/jmessenger/js/jscode/loadIM.js	(revision 2998)
+++ trunk/jmessenger/js/jscode/loadIM.js	(revision 3005)
@@ -879,4 +879,8 @@
     		{
 				case 'from':
+					
+					TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribed');
+    				break;
+
 				case 'subscribe' :
 					
@@ -891,5 +895,5 @@
     			case 'to' :    				
     				
-    				TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribed');
+    				TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribed');    				
     				removeElement( getElement('itenContactNotification_' + jidTo ) );    				
     				break;
@@ -899,10 +903,9 @@
     				TrophyIM.setAutorization( jidTo, Base64.decode(this.getUserCurrent().jid), 'subscribe');
     				addUser.add( jidTo );
-    				
 					break;
 					
 				default:
 					
-					alert( "EU NÃO SEI : " + subscription );
+					alert( "UNDEFINED : " + subscription );
     		}
     	}