Index: /contrib/scriptDeleteUsers/load.html
===================================================================
--- /contrib/scriptDeleteUsers/load.html	(revision 3007)
+++ /contrib/scriptDeleteUsers/load.html	(revision 3007)
@@ -0,0 +1,23 @@
+<html>
+<body>
+	<h2> Script para deletar usuarios em massa  </h2> 
+	<h5> Formato do arquivo: uid,uidnumber  ((  <i>leiame.txt</i> para mais detalhes sobre o script  )) <br>
+	     Ex.:<br>
+	     login1,3456<br>
+	     login2,6763<br>
+	     login3,4356<br>...</h5> <br>
+	<table border="1">
+	<tr>
+	<td>
+	<br>
+	<form action="upload_file.php" method="post" enctype="multipart/form-data">
+		<label for="file">Nome do Arquivo:</label>
+		<input type="file" name="file" id="file" size="30" />
+		<br><br>
+		<input type="submit" name="submit" value="enviar" />
+	</form>
+	</td>
+	</tr>
+	</table>
+</body>	
+</html>
Index: /contrib/scriptDeleteUsers/upload_file.php
===================================================================
--- /contrib/scriptDeleteUsers/upload_file.php	(revision 3007)
+++ /contrib/scriptDeleteUsers/upload_file.php	(revision 3007)
@@ -0,0 +1,76 @@
+<?php
+
+if(!isset($GLOBALS['phpgw_info'])){
+        $GLOBALS['phpgw_info']['flags'] = array(
+                'currentapp' => 'expressoAdmin1_2',
+                'nonavbar'   => true,
+                'noheader'   => true
+        );
+}
+
+
+include_once('../header.inc.php');
+include_once("inc/class.user.inc.php");
+require_once('../header.session.inc.php');
+
+
+
+
+if ($_FILES["file"]["error"] > 0)
+	{
+		echo "Error: " . $_FILES["file"]["error"] . "<br />";	
+	}
+	else
+	{
+		$fileName = $_FILES["file"]["name"];
+		$tmpFile = $_FILES["file"]["tmp_name"];
+	    
+
+	    if (file_exists($fileName)){
+		echo $fileName . " ja existe !! ";
+	    }
+	    else
+	    {
+
+		if(move_uploaded_file($tmpFile,"/tmp/$fileName")){
+		   
+		   $file = fopen("/tmp/$fileName", "r");
+		   if (!$file){
+		      echo "O arquivo nao pode ser aberto";
+		      exit();
+		   }
+		   else
+		   {
+			$params = Array();
+		     	$user = new user;
+		    
+			while(!feof($file)) {
+
+			  if (!feof($file)) {
+
+		            $linha = trim(fgets($file));
+			    $result = explode(",",$linha);
+			    $params['uid'] = $result[0];
+			    $params['uidnumber'] = $result[1];
+			    
+			    $info_user =  $user->get_user_info($params['uidnumber']);
+		//	    $passwdExpired = $info_user['passwd_expired'];
+			
+			    if ($info_user)  {			
+       
+ 	           	  	        echo "Deletando usuario:   " . $params['uid'] . " " . " ; " . $info_user['context'] . "<br>";
+					$user->delete($params);
+			    }
+			    else
+				{
+					echo "Usuario NAO EXISTE :   " . $params['uid']  . " " . " ; " . $info_user['context'] . "<br>";
+				} 
+      
+		        }
+		     }
+		   }	
+		}
+	    }
+	}
+	
+?>
Index: /contrib/scriptDeleteUsers/leiame.txt
===================================================================
--- /contrib/scriptDeleteUsers/leiame.txt	(revision 3007)
+++ /contrib/scriptDeleteUsers/leiame.txt	(revision 3007)
@@ -0,0 +1,28 @@
+=================================================================================
+SCRIPT PARA DELETAR USUARIOS EM MASSA. VERSAO 1.0
+@autor: FILIPE BRAGA - filipe.braga@ati.pe.gov.br
+=================================================================================
+
+1) Obrigatoriamente o arquivo load.html quanto o arquivo upload_file.php terao que 
+esta dentro do diretorio expressoAdmin1_2 ( /var/www/expresso/expressoAdmin1_2 )
+
+2) O usuario tera que esta com uma sessao valida, ou seja, logado no expresso
+
+3) O formato do arquivo esperado e:
+uid,uidnumber
+Ex.:
+login1,5478
+login2,5658
+.
+.
+loginN,6598
+
+4) Altamente aconselhavel, depois de utiliza-lo, retira-lo do diretorio da
+aplicacao do expresso livre.
+
+5) Melhorias serao bem vindas, apenas especificar o que foi alterado, o nome
+e o email do autor que a fez, incrementando assim o numero da versao.
+
+6) Caso deseje fazer mais verificacoes como o contexto, senha Expirada, etc...
+basta buscar informacoes no Array info_user['ATRIBUTO'], onde os ATRIBUTOs
+estao setados na funcao "get_user_info()" da classe: "class.ldap_functions.inc.php" 