Index: trunk/jabberit_messenger/templates/default/indexIM.tpl
===================================================================
--- trunk/jabberit_messenger/templates/default/indexIM.tpl	(revision 3010)
+++ trunk/jabberit_messenger/templates/default/indexIM.tpl	(revision 3015)
@@ -15,5 +15,4 @@
 				<li><a href="#menu_right">Preferências Avançadas</a><br/>
 				<li><a href="#troca_mens">Troca de Mensagens</a><br/>
-				<li><a href="#certi_java">Assinatura de Applet - Java</a><br/>
 			</ol>
 		</div>
@@ -25,5 +24,5 @@
 			<br>
 			<br>
-			<img src="{url}templates/default/images/tela_inicial.png" style="width:239px; height:436px;" alt="Im Screenshot" title="Im Screenshot" align="left" style="padding-right:4px;"> 
+			<img src="{url}templates/default/images/tela_inicial_sem_java.png" style="width:256px; height:414px;" alt="Im Screenshot" title="Im Screenshot" align="left" style="padding-right:4px;"> 
 		    <br clear="all">
 			( figura 1 )
@@ -48,17 +47,30 @@
 			<h2><a name="prefe">3. Opções - Troca de Status</a></h2>
 			<br/>
-			Para a troca de status ( conforme figura 2 ), basta dar um clique com o mouse e em cima do botão <img src="{url}templates/default/images/botao_opcoes.png" width="116" height="21" style="margin-left:5px; margin-right:5px;"/> .
+			A troca do Status pode ser feita de duas maneiras, clicando dentro da janela que contém a lista de contatos (figura 2 ).
 			<br/>
 			<br/>
-		    <img src="{url}templates/default/images/menu_opcoes.png" style="width:238px; height:267px; margin-top:5px;" alt="Menu Opções" title="Menu Opções" align="left"/>
+		    <img src="{url}templates/default/images/menu_opcoes_sem_java.png" style="width:260px; height:230px; margin-top:5px;" alt="Menu Opções" title="Menu Opções" align="left"/>
 		    <br clear="all">
-			( figura 2 )    
+			( figura 2 )
+			
 		    <h2><a name="conf_status">4. Mensagens de Status</a></h2>
 		    <br/>
-		    É possível configurar as mensagens para cada status escolhido (figura 3) clicando no item Personalizar.<br><br>
-			<img src="{url}templates/default/images/conf_status.png" style="width:345px; height:270px; margin-top:5px;" alt="Mensagens de Status" title="Mensagens de Status" align="left"/>
-			<br clear="all"/>
-			( Figura 3 )
-			<br clear="all"/>
+		    É possível configurar uma mensagem de status acessando a janela que contém a lista de contatos (figura 3), ou clicando diretamente em cima da frase que aparece na janela da lista de contatos (figura 4).<br><br>
+			<table>
+				<tr>
+					<td>
+						<img src="{url}templates/default/images/menu_opcoes_sem_java.png" style="width:260px; height:230px; margin-top:5px;" alt="Menu Opções" title="Menu Opções" align="left"/>
+					</td>
+					<td valign="top">
+						<img src="{url}templates/default/images/status_mensagem.png" style="width:260px; height:152px; margin-top:5px;" alt="Menu Opções" title="Menu Opções" align="left"/>
+					</td>
+				</tr>
+				<tr>
+					<td align="center">( Figura 3 )</td>
+					<td align="center">( Figura 4 )</td>
+				
+				</tr>
+			</table>
+					    
 			<h2><a name="contact_list">5. Lista de Contatos</a></h2>
 			<br/>
@@ -66,5 +78,5 @@
 		    <br/>
 		    <br/>
-		    <img src="{url}templates/default/images/lista_contatos.png" width="274" height="239" alt="Lista de Contatos" align="left" style="margin:5px;"/>
+		    <img src="{url}templates/default/images/lista_contatos_sem_java.png" width="258" height="265" alt="Lista de Contatos" align="left" style="margin:5px;"/>
 		    <br clear="all">
 		    ( figura 4 )
@@ -86,5 +98,5 @@
 			<br/>
 			<br/>
-		    <img src="{url}templates/default/images/adicionar_contato.png" width="282px" height="142px" alt="Adicionar Contato" title="Adicionar Contato" align="left" style="margin-top:5px;"/>
+		    <img src="{url}templates/default/images/adicionar_contato_sem_java.png" width="282px" height="121px" alt="Adicionar Contato" title="Adicionar Contato" align="left" style="margin-top:5px;"/>
 		    <br clear="all"/>
 			( figura 5 )
@@ -102,12 +114,12 @@
 		
 		    <ul>
-		      <li>Autorizações : Requisitar e autorizar permissões ( Depois de adicionar um novo contato, é importante solicitar a autorização ).
-		      <li>Grupo: Trocar / Adicionar / Remover do grupo.
+		      <li>Autorizar : Requisitar e autorizar permissões ( Depois de adicionar um novo contato, é importante solicitar a autorização ).
+		      <li>Remover: Remove o contato.
 		      <li>Renomear : Renomeia o contato.
-		      <li>Remover: Exclui o contato.
+		      <li>Trocar grupo: Altera o grupo do contato.
 		    </ul>
 			<br/>
 			<br/>
-		    <img src="{url}templates/default/images/menu_right.png" width="412px" height="183px" alt="Preferências Avançadas" align="left" style="margin-top:5px;"/>
+		    <img src="{url}templates/default/images/menu_right_sem_java.png" width="265px" height="127px" alt="Preferências Avançadas" align="left" style="margin-top:5px;"/>
 		    <br clear="all"/>
 			( figura 7 )    
@@ -121,22 +133,7 @@
 			<br/>
 			<br/>
-		    <img src="{url}templates/default/images/troca_de_mensagem.png" width="300" height="351" alt="Troca de Mensagens" title="Troca de Mensagens" align="left" style="margin-top:5px;"/>
+		    <img src="{url}templates/default/images/troca_de_mensagem_sem_java.png" width="391" height="377" alt="Troca de Mensagens" title="Troca de Mensagens" align="left" style="margin-top:5px;"/>
 		    <br clear="all"/>
 		    ( figura 8 )
-		    <br/>
-			<br/>
-		    <h2><a name="certi_java">10. Assinatura de Applet - Java</a></h2>
-			<br/>
-			<br/>
-			O modelo de segurança implementado pela plataforma Java, está sobre o conceito que um código remoto (applet) não é confiável, garantindo assim que um applet malicioso não danifique
-			o computador. Porém existem applets que são de confiança e necessitam de permissões para fornecer determinado tipo de serviço. O Expresso Messenger é desenvolvido em
-			Java e precisa dessas permissões para fornecer o serviço de mensagens instantâneas. Quando carregado pela primeira vez, o Java que está instalado no computador, mostrará uma
-			janela ( figura 9), perguntando se deseja realmente rodar este código remoto e mostra dois botões, "Run" e o "Cancel". É necessário que seja marcada a opção "Run", e caso não queira
-			que esta janela abra, marque a opção "Always trust content from this publisher".
-			<br/>
-			<br/>
-		    <img src="{url}templates/default/images/cert_java.png" width="520" height="356" alt="Troca de Mensagens" title="Troca de Mensagens" align="bottom" style="margin-top:5px;"/>
-		    <br clear="all"/>
-		    ( figura 9 )
 		    <br/>
 			<br/>
Index: trunk/jabberit_messenger/templates/default/indexIM_JAVA.tpl
===================================================================
--- trunk/jabberit_messenger/templates/default/indexIM_JAVA.tpl	(revision 3015)
+++ trunk/jabberit_messenger/templates/default/indexIM_JAVA.tpl	(revision 3015)
@@ -0,0 +1,147 @@
+<!-- BEGIN index -->
+
+<fieldset>
+	<legend style="font-size:10pt;font-weight:bold; ">JMessenger - Como Utilizar</legend>
+	<div style="height:500px; margin:5px;">
+		<div style="width:24%; float:left;">
+			<ol>		
+				<li><a href="#intro">Introdução</a><br/>
+				<li><a href="#supported">Browsers Suportados</a><br/>
+				<li><a href="#prefe">Opções - Troca de Status</a><br/>
+				<li><a href="#conf_status">Mensagens de Status</a><br/>
+				<li><a href="#contact_list">Lista de Contatos</a><br/>
+				<li><a href="#status">Indicador de Status</a><br/>
+				<li><a href="#useradd">Adicionando um novo contato</a><br/>
+				<li><a href="#menu_right">Preferências Avançadas</a><br/>
+				<li><a href="#troca_mens">Troca de Mensagens</a><br/>
+				<li><a href="#certi_java">Assinatura de Applet - Java</a><br/>
+			</ol>
+		</div>
+		<div style="height: 500px; margin-left:25%;overflow-y: auto;">
+		    <h2><a name="intro">1. Introdução</a></h2>
+		    
+		    O JMessenger é uma aplicação que permite o envio e recebimento de mensagens instantaneamente. Através da sua lista de contatos, você pode trocar mensagens e arquivos com seus contatos. Através da lista também é possível saber se seus contatos estão Online ou Offline. Para a troca de mensagens basta clicar em cima do nome do seu contato, se o mesmo estiver online ( verifique a sessão <a href="#status">Indicador de Status</a> ) abrirá uma janela onde você poderá enviar/receber as mensagens. O JMessenger está associado
+		    a um serviço de mensagens instantâneas Jabber e este serviço é responsável pelo armazenamento dos seus contatos, preferências e mensagens.
+			<br>
+			<br>
+			<img src="{url}templates/default/images/tela_inicial.png" style="width:239px; height:436px;" alt="Im Screenshot" title="Im Screenshot" align="left" style="padding-right:4px;"> 
+		    <br clear="all">
+			( figura 1 )
+		    <h2><a name="supported">2. Browsers Suportados</a></h2>
+		
+		    <p>
+		      <b>Windows XP/2000/ME/98/95:</b>
+			  <ul>
+			    <!--li>MS Internet Explorer desde a versão 6.0</li-->
+			    <li>Internet Explorer 6.0</li>
+			    <li>Mozilla Firefox desde a versão 2.0</li>
+			    <li>Mozilla Firefox desde a versão 3.0</li>
+			  </ul>
+			  
+		    <p>
+		      <b>Linux:</b>
+		      <ul>
+			    <li>Mozilla Firefox desde a versão 2.0</li>
+			    <li>Mozilla Firefox desde a versão 3.0</li>
+		      </ul>
+		    </p>
+			<h2><a name="prefe">3. Opções - Troca de Status</a></h2>
+			<br/>
+			Para a troca de status ( conforme figura 2 ), basta dar um clique com o mouse e em cima do botão <img src="{url}templates/default/images/botao_opcoes.png" width="116" height="21" style="margin-left:5px; margin-right:5px;"/> .
+			<br/>
+			<br/>
+		    <img src="{url}templates/default/images/menu_opcoes.png" style="width:238px; height:267px; margin-top:5px;" alt="Menu Opções" title="Menu Opções" align="left"/>
+		    <br clear="all">
+			( figura 2 )    
+		    <h2><a name="conf_status">4. Mensagens de Status</a></h2>
+		    <br/>
+		    É possível configurar as mensagens para cada status escolhido (figura 3) clicando no item Personalizar.<br><br>
+			<img src="{url}templates/default/images/conf_status.png" style="width:345px; height:270px; margin-top:5px;" alt="Mensagens de Status" title="Mensagens de Status" align="left"/>
+			<br clear="all"/>
+			( Figura 3 )
+			<br clear="all"/>
+			<h2><a name="contact_list">5. Lista de Contatos</a></h2>
+			<br/>
+		    Na lista de contato ( conforme figura 4 ), você visualizará seus contatos.	
+		    <br/>
+		    <br/>
+		    <img src="{url}templates/default/images/lista_contatos.png" width="274" height="239" alt="Lista de Contatos" align="left" style="margin:5px;"/>
+		    <br clear="all">
+		    ( figura 4 )
+		    <br/>
+		    <h2><a name="status">6. Status dos Usuários</a></h2>
+		    <img src="{url}templates/default/images/available.png" style="margin:1px;" align="top"> - Disponível<br/>
+		    <img src="{url}templates/default/images/away.png" style="margin:1px;" align="top"> - Ausente<br/>
+		    <img src="{url}templates/default/images/chat.png" style="margin:1px;" align="top"> - Bate-papo<br/>
+		    <img src="{url}templates/default/images/dnd.png" style="margin:1px;" align="top"> - Não Perturbe<br/>
+		    <img src="{url}templates/default/images/invisible.png" style="margin:1px;" align="top"> - Invisível<br/>    
+		    <img src="{url}templates/default/images/unavailable.png" style="margin:1px;" align="top"> - Offline / Desconectado<br/>    
+		    <img src="{url}templates/default/images/xa.png" style="margin:1px;" align="top"> - Ausência Prolongada<br/>    
+		    <h2><a name="useradd">7. Adicionando um novo contato </a></h2>
+			<br/>
+			Para adicionar um novo contato, clique na imagem <img src="{url}templates/default/images/group_open.gif"/>, no canto superior esquerdo (figura 5) e abrirá uma janela para adição dos contatos (figura 6) e
+			faça uma pesquisa pelo nome. O resultado retornará <u>somente</u> os usuários que <u>tem permissão</u> para usar o Mensageiro Instantâneo do Expresso. 
+			Clique sobre o link "Adicionar Contato" e aparecerá dois campos, sendo que o campo "Apelido" é preenchido no momento da escolha do novo contato e o campo grupo
+			terá que ser definido. Preenchendo estes dois campos basta clicar no "Botão Adicionar", e o contato será adicionado em sua Lista de Contatos.
+			<br/>
+			<br/>
+		    <img src="{url}templates/default/images/adicionar_contato.png" width="282px" height="142px" alt="Adicionar Contato" title="Adicionar Contato" align="left" style="margin-top:5px;"/>
+		    <br clear="all"/>
+			( figura 5 )
+		    <br/>
+			<br/>
+			<img src="{url}templates/default/images/janela_adicionar_contatos.png" width="444px" height="353px" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
+			<br clear="all"/>
+			( figura 6 )
+			<br/>
+			<br/>
+		    <h2><a name="menu_right">8. Preferências Avançadas</a></h2>
+			<br/>
+			<br/>
+		    Clicando com o botão direito do mouse, você tera acesso a um menu ( conforme figura 7 ), com as seguintes funcionalidades :
+		
+		    <ul>
+		      <li>Autorizações : Requisitar e autorizar permissões ( Depois de adicionar um novo contato, é importante solicitar a autorização ).
+		      <li>Grupo: Trocar / Adicionar / Remover do grupo.
+		      <li>Renomear : Renomeia o contato.
+		      <li>Remover: Exclui o contato.
+		    </ul>
+			<br/>
+			<br/>
+		    <img src="{url}templates/default/images/menu_right.png" width="412px" height="183px" alt="Preferências Avançadas" align="left" style="margin-top:5px;"/>
+		    <br clear="all"/>
+			( figura 7 )    
+		    <br/>
+		    <br/>
+		    <h2><a name="troca_mens">9. Troca de Mensagens</a></h2>
+			<br/>
+			<br/>
+			Clicando com o mouse em cima do nome do contato escolhido, abrirá uma janela ( conforme figura 8 ), para a troca de mensagens. Nessa mesma janela existe um menu, o qual é possível
+			configurar o formato da fonte e enviar smiles.
+			<br/>
+			<br/>
+		    <img src="{url}templates/default/images/troca_de_mensagem.png" width="300" height="351" alt="Troca de Mensagens" title="Troca de Mensagens" align="left" style="margin-top:5px;"/>
+		    <br clear="all"/>
+		    ( figura 8 )
+		    <br/>
+			<br/>
+		    <h2><a name="certi_java">10. Assinatura de Applet - Java</a></h2>
+			<br/>
+			<br/>
+			O modelo de segurança implementado pela plataforma Java, está sobre o conceito que um código remoto (applet) não é confiável, garantindo assim que um applet malicioso não danifique
+			o computador. Porém existem applets que são de confiança e necessitam de permissões para fornecer determinado tipo de serviço. O Expresso Messenger é desenvolvido em
+			Java e precisa dessas permissões para fornecer o serviço de mensagens instantâneas. Quando carregado pela primeira vez, o Java que está instalado no computador, mostrará uma
+			janela ( figura 9), perguntando se deseja realmente rodar este código remoto e mostra dois botões, "Run" e o "Cancel". É necessário que seja marcada a opção "Run", e caso não queira
+			que esta janela abra, marque a opção "Always trust content from this publisher".
+			<br/>
+			<br/>
+		    <img src="{url}templates/default/images/cert_java.png" width="520" height="356" alt="Troca de Mensagens" title="Troca de Mensagens" align="bottom" style="margin-top:5px;"/>
+		    <br clear="all"/>
+		    ( figura 9 )
+		    <br/>
+			<br/>
+		</div>
+	</div>
+</fieldset>	
+
+<!-- END index -->