Index: /branches/2.2/expressoMail1_2/templates/default/main.css
===================================================================
--- /branches/2.2/expressoMail1_2/templates/default/main.css	(revision 3021)
+++ /branches/2.2/expressoMail1_2/templates/default/main.css	(revision 3026)
@@ -48,5 +48,5 @@
 .tr_msg_read2 {
 	color: #3f3f3f;
-	background-color: #f4f8fb;
+	background-color: #DEE8F0;
 	-moz-user-select: none;
 }
Index: /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 3021)
+++ /branches/2.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 3026)
@@ -187,6 +187,18 @@
 Hide details	expressoMail1_2	pt-br	Ocultar detalhes
 Show details	expressoMail1_2	pt-br	Mostrar detalhes
+if email	expressoMail1_2	pt-br	Se o email
+is from	expressoMail1_2	pt-br	é de
+is to	expressoMail1_2	pt-br	é para
+subject is	expressoMail1_2	pt-br	tem assunto
+reject	expressoMail1_2	pt-br	Rejeitar
+discard	expressoMail1_2	pr-br	Descartar
 Hide options	expressoMail1_2	pt-br	Ocultar opções
 Hide Search	expressoMail1_2	pt-br	Ocultar Pesquisa
+size is over than	expressoMail1_2	pt-br	tem tamanho maior que
+size is under than	expressoMail1_2	pt-br	tem tamanho menor que
+Criteria	expressoMail1_2	pt-br	Critério
+Find items	expressoMail1_2	pt-br	Processar mensagens
+if any criterion is met	expressoMail1_2	pt-br	Se algum critério for atendido
+if all criteria is met	expressoMail1_2	pt-br	Se todos os critérios forem atendidos
 hlp_msg_addcreate_acl	expressoMail1_2	pt-br	Outros usuários poderão CRIAR/ADICIONAR novas mensagens
 hlp_msg_delmov_acl	expressoMail1_2	pt-br	Outros usuários poderão APAGAR/MOVER suas mensagens
Index: /branches/2.2/expressoMail1_2/js/filters.js
===================================================================
--- /branches/2.2/expressoMail1_2/js/filters.js	(revision 3018)
+++ /branches/2.2/expressoMail1_2/js/filters.js	(revision 3026)
@@ -146,11 +146,33 @@
 	
 	cfilterSh.prototype.vl_rule = function(rule,pos,type)
-	{
-		var fields = rule.split("&&");
-		if(type == 'voip')
-			return " <a href='javascript:void(0)' onclick=filter.form_r('"+pos+"','voip')><b>" + get_lang("Status") + " : </b>" + "<font color='red'>" + get_lang(fields[2]) + "</font>" + " - " + fields[3] + " <b>" + get_lang("Subject") + ":</b> " + fields[5] + "</a>";
-		else
-			return " <a href='javascript:void(0)' onclick=filter.form_r('"+pos+"','')><b>" + get_lang("Status") + " : </b>" + "<font color='red'>" + get_lang(fields[2]) + "</font>" + " - <b>" + get_lang("E-mail rule") + ":</b> " + fields[3] + " - <b>" + get_lang("Action") + ":</b> " + fields[6] + "</a>";
-	}
+{
+	var fields = rule.split("&&");
+	if(type == 'voip')
+		return " <a href='javascript:void(0)' onclick=filter.form_r('"+pos+"','voip')><b>" + get_lang("Status") + " : </b>" + "<font color='red'>" + get_lang(fields[2]) + "</font>" + " - " + fields[3] + " <b>" + get_lang("Subject") + ":</b> " + fields[5] + "</a>";
+	else{ 
+
+		var _criteria = " "; 
+		if (fields[3].length > 0) 
+			_criteria = "<b>"+get_lang("is from")+"</b>:"+fields[3]; 
+		if (fields[4].length > 0) 
+			_criteria += "<b>"+get_lang("is to")+"</b>:"+fields[4]; 
+		if (fields[5].length > 0) 
+			_criteria += "<b>"+get_lang("subject is")+"</b>:"+fields[5]; 
+		if (parseInt(fields[11]) > 0) 
+		{ 
+			if(fields[8] == "2") 
+				_criteria += "<b>"+get_lang("size is over than")+"</b>:"+fields[11]; 
+			else 
+				_criteria += "<b>"+get_lang("size is under than")+"</b>:"+fields[11]; 
+		} 
+		var _action = " "; 
+		if (fields[6] == 'folder') 
+			_action = get_lang("Store at")+" "+(fields[7].split("/"))[1]; 
+		else 
+			_action = get_lang(fields[6]); 
+
+		return " <a href='javascript:void(0)' onclick=filter.form_r('"+pos+"','')><b>" + get_lang("Status") + " : </b>" + "<font color='red'>" + get_lang(fields[2]) + "</font>" + " - <b>" + get_lang("if email") + " </b>" + _criteria + " - <b>" + get_lang("Action") + ":</b> " + _action + "</a>"; 
+	} 
+}
 	
 	cfilterSh.prototype.vl_outOffice = function(outOffice){		
Index: /branches/2.2/expressoMail1_2/js/filter.js
===================================================================
--- /branches/2.2/expressoMail1_2/js/filter.js	(revision 3018)
+++ /branches/2.2/expressoMail1_2/js/filter.js	(revision 3026)
@@ -276,13 +276,15 @@
 	 * quando a caixa de seleção para manter o e-mail na caixa de entrada do usuário for selecionada
 	 */
-	cfilter.prototype.disable_radio3 =  function()
-	{
+	cfilter.prototype.disable_radio =  function()
+	{
+		radio4 = Element('radio4');
 		radio3 = Element('radio3');
+		cb2 = Element('checkBox2');
 		field6 = Element('field6');
-		cb2 = Element('checkBox2');
 
 		if (cb2.checked)
 		{
 			radio3.disabled = true;
+			radio4.disabled = true;
 			field6.disabled = true;
 
@@ -295,4 +297,5 @@
 		{
 			radio3.disabled = false;
+			radio4.disabled = true;
 			field6.disabled = false;
 		}
@@ -304,18 +307,17 @@
 			 var form = "";
 				 form = "<div id='div_rule' style='display:none'><table id='table_rule' border='0' cellpading='0' cellspacing='0' width='100%'>"+
-						"<tr><td colspan='2'><input type='checkBox' id='checkBox1' name='checkb'>"+get_lang('Also check message against next rule') + "</td></tr>"+
-						"<tr><td colspan='2'><input type='checkBox' id='checkBox2' onclick='filter.disable_radio3();' name='checkb'>"+get_lang('Keep a copy of the message at your Inbox')+ "</td><tr>"+
-						"<tr><td colspan='2'><hr size='1' width='100%'></td></tr><tr>"+
-						"<td rowspan='4' width='20%'>"+get_lang('Coincident')+"<br><select id='select_rules' name='select_rules'>"+
-						"<option value='0'>"+get_lang("with all")+"</option><option value='1'>"+get_lang("with some")+"</option>"+
-						"</select></td><td>"+get_lang('The field \"%1\" of the message it contains',get_lang('From'))+".: <input type='text' id='field1' name='field1' size='35' maxlength='200'></td>"+
+					 "<tr><td colspan='2'><b>"+get_lang("Criteria")+":</b></td></tr><tr>"+
+					 "<td rowspan='4' width='20%'>"+get_lang('Find items')+":<br><select id='select_rules' name='select_rules'>"+
+					 "<option value='1'>"+get_lang("If any criterion is met")+"</option><option value='0'>"+get_lang("If all criteria is met")+"</option>"+
+					 "</select></td><td>"+get_lang('The field \"%1\" of the message it contains',get_lang('From'))+".: <input type='text' id='field1' name='field1' size='35' maxlength='200'></td>"+
 						"</tr><tr><td>"+get_lang('The field \"%1\" of the message it contains', get_lang('To'))+".: <input type='text' id='field2' name='field2' size='35' maxlength='200'></td>"+
 						"</tr><tr><td>"+get_lang('The field \"%1\" of the message it contains', get_lang('Subject'))+".: <input type='text' id='field3' name='field3' size='35' maxlength='200'></td>"+
 						"</tr><tr><td>"+get_lang('The size of the message is')+".: &nbsp<select id='select_size' name='select_size'>"+
-						"<option value='0'>"+get_lang("Less than")+"</option><option value='1'>"+get_lang("Greater than")+"</option>"+						 
+						"<option value='1'>"+get_lang("Greater than")+"</option><option value='0'>"+get_lang("Less than")+"</option>"+
 						"</select>&nbsp;<input type='text' id='field4' name='field4' size='8' maxlength='8'> Kb</td>"+
-						"</tr><tr><td colspan='2'><hr size='1' width='100%'></td></tr>"+
+						"</tr><tr><td colspan='2'><hr size='1' width='100%'><b>"+get_lang("Action")+":</b></td></tr>"+
 						"</table><table id='table_rule1' border='0' cellpading='0' cellspacing='0' width='100%'>"+
-						"<tr><td width='50%'><input type='radio' id='radio1' name='radio' value='folder'>"+get_lang('Store at')+".:</td>"+
+						 "<tr><td colspan='2'><input type='checkBox' id='checkBox2' onclick='filter.disable_radio();' name='checkb'>"+get_lang('Keep a copy of the message at your Inbox')+ "</td><tr>"+
+						 "<tr><td width='50%'><input type='radio' id='radio1' name='radio' value='folder'>"+get_lang('Store at')+".:</td>"+
 						"<td width='50%'><select id='select_mailboxes' name='select_mailboxes'></select></td>"+
 						"</tr><tr><td width='50%'><input type='radio' id='radio2' name='radio' value='address'>"+get_lang('Forward to the address')+".:</td>"+