Index: /branches/2.2/expressoMail1_2/js/draw_api.js
===================================================================
--- /branches/2.2/expressoMail1_2/js/draw_api.js	(revision 3035)
+++ /branches/2.2/expressoMail1_2/js/draw_api.js	(revision 3036)
@@ -1255,4 +1255,6 @@
 	var option_hide_more = document.createElement("SPAN");
 	option_hide_more.className = 'message_options';
+        option_hide_more.onmouseover=function () { this.className='message_options_active'; };
+        option_hide_more.onmouseout=function () { this.className='message_options' };
 	options.align = 'right';
 	option_hide_more.value = 'more_options';
@@ -1274,12 +1276,38 @@
 	option_mark.align = "left";
 	option_mark.width = "50%";
-	  var option_mark_as = '<span>'+get_lang("Mark as")+'</span>: ';
-	  var option_mark_as_unseen = '<span class="message_options" onclick="changeLinkState(this,\'seen\'); set_messages_flag(\'unseen\','+folder_id+'); write_msg(\''+get_lang('Message marked as ')+get_lang("Unseen")+'.\');">'+get_lang("Unseen")+'</span>, ';
-
-	  if (info_msg.Flagged == "F")
-			  var option_mark_important = '<span class="message_options" onclick="changeLinkState(this,\'important\'); set_messages_flag(\'unflagged\','+folder_id+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+'.\');">'+get_lang("Normal")+'</span>';
-	  else
-			  var option_mark_important = '<span class="message_options" onclick="changeLinkState(this,\'normal\');set_messages_flag(\'flagged\','+folder_id+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>';
-	  option_mark.innerHTML = option_mark_as+option_mark_as_unseen+option_mark_important;
+	var option_mark_as = '<span>'+get_lang("Mark as")+'</span>: ';
+	var option_mark_as_unseen = document.createElement("SPAN");
+	option_mark_as_unseen.className = "message_options";
+	option_mark_as_unseen.onclick = function () { changeLinkState(this,'seen');
+		set_messages_flag('unseen',folder_id);
+		write_msg(get_lang('Message marked as ')+get_lang("Unseen"));
+	};
+	option_mark_as_unseen.onmouseover=function () { this.className='message_options_active'; };
+	option_mark_as_unseen.onmouseout=function () { this.className='message_options' };
+	option_mark_as_unseen.innerHTML = get_lang("Unseen");
+
+	var option_mark_important = document.createElement("SPAN");
+	option_mark_important.className = 'message_options';
+	option_mark_important.style.paddingLeft = "10px";
+	option_mark_important.onmouseover=function () { this.className='message_options_active'; };
+	option_mark_important.onmouseout=function () { this.className='message_options' };
+
+	if (info_msg.Flagged == "F"){
+		option_mark_important.onclick = function() { changeLinkState(this,'important');
+			set_messages_flag('unflagged',folder_id);
+			write_msg(get_lang('Message marked as ')+get_lang("Normal"));
+		};
+		option_mark_important.innerHTML = get_lang("Normal");
+	}
+	else{
+		option_mark_important.onclick = function() { changeLinkState(this,'normal');
+			set_messages_flag('flagged',folder_id);
+			write_msg(get_lang('Message marked as ')+get_lang("Important"));
+		};
+		option_mark_important.innerHTML = get_lang("Important");
+	}
+	option_mark.innerHTML = option_mark_as;
+	option_mark.appendChild(option_mark_as_unseen);
+	option_mark.appendChild(option_mark_important);
 	option_hide_more.innerHTML = get_lang('Show details');
 	options.appendChild(option_hide_more);
@@ -1291,8 +1319,4 @@
 	var space2 = document.createElement("SPAN");
 	space2.innerHTML = '&nbsp;|&nbsp;';
-	var space3 = document.createElement("SPAN");
-	space3.innerHTML = '&nbsp;|&nbsp;';
-	var space4 = document.createElement("SPAN");
-	space4.innerHTML = '&nbsp;|&nbsp;';
 
 	var option_forward = document.createElement("SPAN");
@@ -1300,4 +1324,6 @@
 	option_forward.className = 'message_options';
 	option_forward.onclick = function(){new_message('forward', ID);};
+	option_forward.onmouseover=function () { this.className='message_options_active'; };
+        option_forward.onmouseout=function () { this.className='message_options' };
 	option_forward.innerHTML = get_lang('Forward');
 	options.appendChild(space1);
@@ -1308,4 +1334,7 @@
 	option_reply.onclick = function(){new_message('reply_with_history', ID);};
 	option_reply.innerHTML = get_lang('Reply');
+	option_reply.onmouseover=function () { this.className='message_options_active'; };
+	option_reply.onmouseout=function () { this.className='message_options' };
+
 	options.appendChild(space2);
 